/* ConsoleDisplay.css */
body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
      "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
      sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: #121212; /* Couleur de fond pour tout le body */
    color: white; /* Couleur par défaut du texte pour le body */
  }


table th, table td {
    border: 1px solid white;
    padding: 8px;
    text-align: left; /* Alignez le texte à gauche */
}

/* Styles ajoutés pour le header du tableau */
table th {
    background-color: #bf139d; /* Couleur de fond pour les headers du tableau */
    color: white; /* Couleur de texte pour les headers */
}

/* Couleurs alternées pour les lignes de tableau */
table tr:nth-child(even) {
    background-color: #2d002d; /* Couleur de fond pour les lignes paires */
}

.console-container {
    background-color: #0d0d0d;
    color: #bf139d; /* Couleur verte similaire à celle des anciens écrans de terminal */
    font-family: 'Consolas', 'Courier New', monospace;
    padding: 20px;
    border: 1px solid #333;
    margin: 0;
    min-height: 550px; /* S'assure que le conteneur prend presque tout l'écran en hauteur */
    overflow-y: auto; /* Ajoute une barre de défilement si nécessaire */
    box-shadow: 0 0 10px rgba(213, 28, 230, 0.3);
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* Sépare le contenu et l'input */
    height: 100vh;
  }

  /* Conteneur pour le contenu de la console qui affiche l'historique */
.console-content {
  overflow-y: auto;
  flex-grow: 1; /* Prend tout l'espace disponible en laissant juste ce qu'il faut pour l'input */
  padding: 0 20px; /* Ajoutez du padding à gauche et à droite */
}
  
  .console-line {
    white-space: pre-wrap; /* Préserve les espaces et les retours à la ligne */
  }
  
  .console-entry {
    display: flex; /* Utilise flexbox pour aligner les éléments horizontalement */
    align-items: center; /* Centre les éléments verticalement */
    width: 100%; /* Prend toute la largeur disponible */
    margin-top: 20px; /* Ajoute un peu d'espace entre le contenu et l'input */
    margin-bottom: 20px; /* Ajustez cette valeur comme nécessaire pour l'espacement désiré */
}

.console-input {
    flex-grow: 1; /* Permet à l'input de prendre tout l'espace horizontal restant */
    color: white; /* Rend la couleur du texte blanc pour l'apercevoir pendant la frappe */
    background: transparent; /* Rend l'arrière-plan transparent */
    caret-color: rgb(255, 0, 208); 
    border: none;
    outline: none;
    padding: 5px 10px; /* Ajoute un peu d'espacement à l'intérieur de l'input */
}

.console-prefix {
    /* Pas besoin de position relative ou absolute ici car il est dans un flex container */
    pointer-events: none; /* Permet aux clics de passer à travers le texte et d'atteindre l'input en dessous */
    margin-right: 5px; /* Espace entre le préfixe et l'input */
}

/* Animation du curseur clignotant */
@keyframes blink-caret {
    0%, 100% { opacity: 1; }
    50% { opacity: 0; }
}

/* Utilisez un pseudo-élément pour créer le curseur clignotant */
.console-prefix::after {
    content: '|';
    display: inline-block; /* S'assure que le pseudo-élément s'affiche en ligne */
    animation: blink-caret 1s steps(1) infinite;
    margin-left: 5px; /* Espacement entre le texte et le curseur */
}

/* Keyframes pour l'animation du curseur clignotant */
@keyframes blink-caret {
    0%, 100% { opacity: 1; }
    50% { opacity: 0; }
}
  
  /* Style pour animer l'apparition du texte, caractère par caractère */
  @keyframes typing {
    from { width: 0; }
    to { width: 100%; }
  }

  /* Adaptations pour les mobiles pour le .console-container */
@media (max-width: 600px) {
  .console-container {
      padding: 10px;
  }
  
  .console-input {
      text-align: center; /* Centre l'input sur les petits écrans */
      padding: 10px; /* Plus de padding pour une meilleure accessibilité */
      min-height: 50px; /* Hauteur ajustée pour les petits écrans */
  }
}
  
  .console-typing {
    display: inline-block;
    overflow: hidden;
    border-right: .15em solid orange;  /* Curseur typique du terminal */
    white-space: nowrap;  /* Empêche le contenu de passer à la ligne */
    animation: typing 2s steps(40, end), blink-caret .75s step-end infinite;
  }


  
  /* Animation pour faire clignoter le curseur */
  @keyframes blink-caret {
    from, to { border-color: transparent }
    50% { border-color: orange; }
  }
  